// ---------------
//   Dead Region
// ---------------
void TRIGGERDEADREGION_InitItem(int id)
{
	SetItemAttrib(id, ITEM_PHYSICS, ITEM_PHYSICS_NONE);
	SetItemAttrib(id, ITEM_LIFTABLE, 0);
	SetItemAttrib(id, ITEM_PICKABLE, 0);
}

void TRIGGERDEADREGION_OnTouch(int id, int charaId)
{
	if (IsItem(charaId))
	{
		return;
	}
	
	CharaHurt(charaId, 5, 30000);
	UseCharaDeadPoint(charaId);
}

void TRIGGERFIREHURT_InitItem(int id)
{
	SetItemAttrib(id, ITEM_PHYSICS, ITEM_PHYSICS_NONE);
	SetItemAttrib(id, ITEM_LIFTABLE, 0);
	SetItemAttrib(id, ITEM_PICKABLE, 0);
}

void TRIGGERFIREHURT_OnTouch(int id, int charaId)
{
	float x, y, z;
	
	if (IsItem(charaId))
	{
		if (GetItemString(charaId, ITEM_MODEL) == "boom")
		{
			BombExplode(charaId);
		}
		return;
	}

	GetEntityPos(id, x, y, z);
	// damage
	CharaHurt(charaId, 2, 80, x, y, z);
}

void PlayNetGameMusic(string name)
{
	if (var_stSoundtrack >= 0)
		PlaySoundtrack();
	else
		PlayMusic(name, 1, 1);
}
