// ---------------
//   Dead Region
// ---------------

string in01_music = "s18_final_boss";
string in02_music = "s07_castle_bgm";
string in03_music = "s03_thousand_boss";
string in04_music = "s12_nightdemon_boss";
string in05_music = "s13_torture_bgm";
string in06_music = "s10_warship_boss";
string in88_music = "s18_final_boss";

string se01_music = "s16_yongjian_bgm";
string se02_music = "s02_thousand_bgm";
string se03_music = "s04_soulstrip_bgm";
string se04_music = "s05_apparatus_bgm";
string se05_music = "s06_apparatus_boss";
string se06_music = "s08_yama_boss";
string se07_music = "s16_yongjian_bgm";
string se08_music = "s17_yongjian_boss";
string se09_music = "s18_final_boss";

string sw01_music = "s09_warship_bgm";
string sw02_music = "s11_nightdemon_bgm";
string sw03_music = "s10_warship_boss";
string sw04_music = "s14_electric_boss";
string sw05_music = "s15_summoning_boss";

void TRIGGERDEADREGION_InitItem(int id)
{
	SetItemAttrib(id, ITEM_PHYSICS, ITEM_PHYSICS_NONE);
	SetItemAttrib(id, ITEM_LIFTABLE, 0);
	SetItemAttrib(id, ITEM_PICKABLE, 0);
}

void TRIGGERDEADREGION_OnTouch(int id, int charaId)
{
	if (IsItem(charaId))
	{
		return;
	}
	
	CharaHurt(charaId, 5, 30000);
	UseCharaDeadPoint(charaId);
}

void TRIGGERFIREHURT_InitItem(int id)
{
	SetItemAttrib(id, ITEM_PHYSICS, ITEM_PHYSICS_NONE);
	SetItemAttrib(id, ITEM_LIFTABLE, 0);
	SetItemAttrib(id, ITEM_PICKABLE, 0);
}

void TRIGGERFIREHURT_OnTouch(int id, int charaId)
{
	float x, y, z;
	
	if (IsItem(charaId))
	{
		if (GetItemString(charaId, ITEM_MODEL) == "boom")
		{
			BombExplode(charaId);
		}
		return;
	}

	GetEntityPos(id, x, y, z);
	// damage
	CharaHurt(charaId, 2, 80, x, y, z);
}

void PlayNetGameMusic(string name)
{
	if (var_stSoundtrack >= 0)
		PlaySoundtrack();
	else
		PlayMusic(name, 1, 1);
}
